Name:           wget2
Version:        1.99.2
Release:        1%{?dist}
Summary:        GNU Wget2 is the successor of GNU Wget, a file and recursive website downloader.

License:        GNU LGPLv3
URL:            https://gitlab.com/gnuwget/wget2
Source0:        https://ftp.gnu.org/gnu/wget/%{name}-1.99.2.tar.gz

Provides: libtool
# TODO: consult if needed
#Provides: libwget.so.0
#Provides: libwget_alloc.so.0
#Provides: libwget_common.so.0
#Provides: libwget_css.so.0
#libwget_dns.so.0
#libwget_dnscache.so.0
#libwget_encoding.so.0
#libwget_hashfile.so.0
#libwget_hpkp_db.so.0
#libwget_ip.so.0
#libwget_iri.so.0
#libwget_logger.so.0
#libwget_metalink.so.0
Provides: wget2-debugsource = 1.99.2-1
Provides: wget2-debuginfo = 1.99.2-1

BuildRequires: autoconf
BuildRequires: autogen
BuildRequires: automake
BuildRequires: libtool
BuildRequires: python
BuildRequires: rsync
BuildRequires: tar
BuildRequires: texinfo
BuildRequires: pkg-config >= 0.28

# Documentation build requirements
BuildRequires: doxygen
BuildRequires: pandoc
BuildRequires: gettext >= 0.18.2

BuildRequires: glibc
BuildRequires: zlib >= 1.2.3
BuildRequires: gnutls
BuildRequires: libidn2 >= 0.14
BuildRequires: flex >= 2.5.35
BuildRequires: libpsl >= 0.5.0

# Optional
# HTTP/2 support
BuildRequires: libnghttp2 >= 1.3.0
# run the test suite
BuildRequires: libmicrohttpd >= 0.9.51
# build distribution tarballs
BuildRequires: lzip
# coverage reports
BuildRequires: lcov
# automatic signature verification)
BuildRequires: gpgme >= 0.4.2
# filtering by PCRE regex
BuildRequires: pcre
# HTTP zstd decompression)
BuildRequires: libzstd >= 1.3.0


%description
GNU Wget2 is the successor of GNU Wget, a file and recursive website downloader.
Designed and written from scratch it wraps around libwget, that provides the basic
functions needed by a web client.
Wget2 works multi-threaded and uses many features to allow fast operation.
In many cases Wget2 downloads much faster than Wget1.x due to HTTP2, HTTP compression,
parallel connections and use of If-Modified-Since HTTP header.


%prep
%autosetup


%build
%configure
%make_build


%install
rm -rf $RPM_BUILD_ROOT
%make_install


%files
%license COPYING.LESSER
%doc README.md
%{_bindir}/%{name}
%{_bindir}/%{name}_noinstall
%{_includedir}/wget.h
%{_includedir}/wgetver.h
%{_libdir}/pkgconfig/libwget.pc
%{_libdir}/libwget*
%{_mandir}/man*/*
%{_datadir}/locale/*


%changelog
* Wed Apr  1 2020 Anna Khaitovich <akhaitov@redhat.com>
- Initial package 
